import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: TaskScheduleRecodeTypes.SearchTaskScheduleRecodeParam) {
    return get<G.PageResult<TaskScheduleRecodeTypes.SearchTaskScheduleRecodeResult>>('/task_schedule_recode/paging', data)
  },
  detail(id: string) {
    return get<TaskScheduleRecodeTypes.SearchTaskScheduleRecodeResult>('/task_schedule_recode/detail', {id})
  },
  add(data: TaskScheduleRecodeTypes.AddTaskScheduleRecodeParam) {
    return post('/task_schedule_recode/add', data)
  },
  modify(data: TaskScheduleRecodeTypes.ModifyTaskScheduleRecodeParam) {
    return post('/task_schedule_recode/modify', data)
  },
  del(ids: string[]) {
    return post('/task_schedule_recode/del', ids)
  },
}
